Unit tmnb6e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FMNB6E_p, MNB6E_p;

function tmnb6e: String;

implementation

function tmnb6e: String;
var
NP1,I,IERR :Integer;
FF :Extended;
X :Array [0..19] of Extended;
XCEN :Array [0..3] of Extended;
Z :Array [0..4] of Extended;
XREF :Array [0..3] of Extended;
XCON :Array [0..3] of Extended;
XEX :Array [0..3] of Extended;
XX :Array [0..3] of Extended;
const
ALFA :Extended = 1.0e0;
BETA :Extended = 0.5e0;
GAM :Extended = 2.0e0;
N :Integer = 4;
ITMAX :Integer = 10000;
MAXK :Integer = 2500;
ACC :Extended = 1.0e-09;
A :Extended = 1.0e0;
begin
Result := '';  {   }
{   DATA  FORTRAN  }
XX[0] := -1.0e0;
XX[1] := -2.0e0;
XX[2] := -3.0e0;
XX[3] := -4.0e0;
NP1 := N+1;
for I:=1 to N do
 begin
  Result := Result + Format('  X(%3d ) = %20.16f ',
 [I,XX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
MNB6E(N,NP1,ITMAX,ALFA,BETA,GAM
     ,ACC,A,X,XCEN,Z,XREF,XCON,XEX,XX,FF,MAXK,FMNB6E,IERR);
Result := Result + Format('%s',['  IERR = ']);
Result := Result + Format('%2d ',[IERR]) + #$0D#$0A;
Result := Result + Format('  %4d ',[ITMAX]);
Result := Result + Format('%s',['  TEPA']);
Result := Result + Format('  %4d ',[MAXK]);
Result := Result + Format('%s',['  BCEH YHK']);
Result := Result + Format('%s',['  F(X) = ']);
Result := Result + Format('%20.16f ',[FF]) + #$0D#$0A;
for I:=1 to N do
 begin
  Result := Result + Format('  X(%3d ) = %20.16f ',
 [I,XX[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tmnb6e',Result);  {     tmnb6e.res }
exit;
end;

end.
